# coding: utf-8
# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'telegram_web_proxy/version'

Gem::Specification.new do |spec|
  spec.name          = 'telegram_web_proxy'
  spec.version       = TelegramWebProxy::VERSION
  spec.authors       = ['Vladimir Maslov']
  spec.email         = ['x86d0cent@gmail.com']

  spec.summary       = 'Web proxy for Telegram'
  spec.description   = 'A simple web proxy bot for Telegram'
  spec.homepage      = 'https://gitlab.com/x86d0cent/telegram_web_proxy'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org.
  # To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.required_ruby_version = '>= 2.4.0'

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'rubocop-rspec'

  spec.add_dependency 'rest-client', '~> 2.0'
  spec.add_dependency 'sanitize', '~> 4.5'
  spec.add_dependency 'telegram-bot-ruby', '~> 0.8.0'
end
